<?php
require_once("../Wx.Config.php");
//连接SQL数据库
function connectDb()
{
	$conn=mssql_connect(WxMainConfig::DBServerName,'sa',WxMainConfig::DBServerPswd);
	mssql_select_db(WxMainConfig::DBDatabaseName,$conn) or die(mssql_get_last_message());
	//mssql_query("set names 'GBK'");
	return $conn;
	//mysql_connect('localhost','root','cosin') or die('数据库链接失败');
	//mysql_select_db('imgsharedb') or die(mysql_error());
	//mysql_query('set names utf8') or die(mysql_error());//如果页面编码是utf-8的。这里设置查询的编码为utf-8
}

//查询数据返回记录集
function querySql($sql)
{
	connectDb();
	$result = mssql_query($sql) or die(mssql_get_last_message());
	return $result;
}

function executeSql($sql)
{
	connectDb();
	//$sql = "select * from CompanyInfo where Code='0'";
	if(mssql_query($sql) or die(mssql_get_last_message()))
		return true;
	else
		return false;
}

function freeResult($result)
{
	mssql_free_result($result);
}

function closeDb()
{
	mssql_close();
}

function getRecordCount($sql)
{
	$result = querySql($sql);
	$row = mssql_fetch_array($result);
	$res = $row['count'];
	freeResult($result);
	return $res;
}

function fetch_array($result)
{
	return mssql_fetch_array($result);
}

// 重置结果集指针到第一行
function fetch_array_frist($result)
{
	// 注意：索引从0开始
	return mssql_data_seek($result,0);
}

//function getLastInsertId()
//{
//	return mssql_insert_id();
//}
function getchar($str,$pos)
{
	return substr($str, $pos, 1);
}

function getpwd($text)
{
	$str1 = trim($text);
	$strRet = "";

	$buf = $str1;
	$chrB = 0;

	$intLen=0;$intPos=0;$intTemp=0;
	$intLen=strlen($str1);
	if($intLen>0)
	{
		//转化为数组
		//strcpy(buf,str1);

		if($intLen<=3)
		{
			for($intPos=0;$intPos<$intLen;$intPos++)
			{
				$chrB = ord(getchar($buf, $intPos));
				$intTemp=$chrB;
				if($intTemp>=121)
				{
					$intTemp=$intTemp - ($intPos+1) * 2 - 3;
				}
				else
				{
					$intTemp=$intTemp + ($intPos+1) * 2 + 3;
				}
				//-------------------------------------//
				if($intTemp==127) $intTemp=38;
				if($intTemp>=129) $intTemp=42 + ($intTemp - 120);
				//-------------------------------------//
				if($intTemp==39)	//'
					$intTemp=63;	//?
				else if($intTemp==95)	//_
					$intTemp=47;	//斜杠/
				else if($intTemp==32)	// 空格
					$intTemp=42;	//*
				else if($intTemp==37)	//%
					$intTemp=35;	//#
				
				$chrB=$intTemp;
				$strRet=$strRet.chr($chrB);
				//-------------------------------------//
			}
		}
		else if($intLen>3 && $intLen<=7)
		{
			
			for($intPos=0;$intPos<$intLen;$intPos++)
			{
				//echo getchar($buf, $intPos);
				$chrB = ord(getchar($buf, $intPos));
				$intTemp=$chrB;
				if($intTemp>=121)
				{
					$intTemp=$intTemp - $intLen*2 + $intPos + 4;
				}
				else
				{
					$intTemp=$intTemp + $intLen*2 + $intPos - 2;
				}
				//-------------------------------------//
				if($intTemp==127) $intTemp=38;
				if($intTemp>=129) $intTemp=42 + ($intTemp - 120);
				//-------------------------------------//
				if($intTemp==39)	//'
					$intTemp=63;	//?
				else if($intTemp==95)	//_
					$intTemp=47;	//斜杠/
				else if($intTemp==32)	// 空格
					$intTemp=42;	//*
				else if($intTemp==37)	//%
					$intTemp=35;	//#
				
				$chrB=$intTemp;
				//echo $chrB;
				$strRet=$strRet.chr($chrB);
				
				//-------------------------------------//
			}
		}
		else if($intLen>7 && $intLen<=10)
		{
			for($intPos=0;$intPos<$intLen;$intPos++)
			{
				$chrB = ord(getchar($buf, $intPos));
				$intTemp=$chrB;
				if($intTemp>=121)
				{
					$intTemp=$intTemp - $intLen*2 - $intPos + 6;
				}
				else
				{
					$intTemp=$intTemp + $intLen*2 + $intPos - 6;
				}
				//-------------------------------------//
				if($intTemp==127) $intTemp=38;
				if($intTemp>=129) $intTemp=42 + ($intTemp - 120);
				//-------------------------------------//
				if($intTemp==39)	//'
					$intTemp=63;	//?
				else if($intTemp==95)	//_
					$intTemp=47;	//斜杠/
				else if($intTemp==32)	// 空格
					$intTemp=42;	//*
				else if($intTemp==37)	//%
					$intTemp=35;	//#
				
				$chrB=$intTemp;
				$strRet=$strRet.chr($chrB);
				//-------------------------------------//
			}
		}
		else
		{
			for($intPos=0;$intPos<$intLen;$intPos++)
			{
				$chrB = ord(getchar($buf, $intPos));
				$intTemp=$chrB;
				if($intTemp>=121)
				{
					$intTemp=$intTemp - $intLen - $intPos + 8;
				}
				else
				{
					$intTemp=$intTemp + $intLen + $intPos - 8;
				}
				//-------------------------------------//
				if($intTemp==127) $intTemp=38;
				if($intTemp>=129) $intTemp=42 + ($intTemp - 120);
				//-------------------------------------//
				if($intTemp==39)	//'
					$intTemp=63;	//?
				else if($intTemp==95)	//_
					$intTemp=47;	//斜杠/
				else if($intTemp==32)	// 空格
					$intTemp=42;	//*
				else if($intTemp==37)	//%
					$intTemp=35;	//#
				
				$chrB=$intTemp;
				$strRet=$strRet.chr($chrB);
				//-------------------------------------//
			}
		}
	}
	return $strRet;
}
?>